# Uses of Class
org.apache.wiki.parser.MarkupParser

Packages that use MarkupParser
Package
Description
org.apache.wiki.parser
org.apache.wiki.render
Provides the JSPWiki rendering functionality.

## Uses of MarkupParser in org.apache.wiki.parser

Subclasses of MarkupParser in org.apache.wiki.parser
Modifier and Type
Class
Description
`class`
`JSPWikiMarkupParser`
Parses JSPWiki-style markup into a WikiDocument DOM tree.

## Uses of MarkupParser in org.apache.wiki.render

Methods in org.apache.wiki.render that return MarkupParser
Modifier and Type
Method
Description
`MarkupParser`
DefaultRenderingManager.`getParser(org.apache.wiki.api.core.Context context, String pagedata)`
Returns the wiki Parser
`MarkupParser`
RenderingManager.`getParser(org.apache.wiki.api.core.Context context, String pagedata)`
Returns the wiki Parser